package org.socketelf.socket.manager.business.services;

import java.net.URL;

/**
 * Simple bean to hold basic descriptors of a SOCKET service.
 *
 * <p>Title: SOCKET - Service-Oriented Consumer Kit for ELF Tools</p>
 * <p>Description: JISC ELF Toolkit Project</p>
 * <p>Copyright: Copyright (c) 2006</p>
 * <p>Company: University of Leeds</p>
 * @author Clayton Moore
 * @version 1.0
 */
public class SocketService {

    private String socketServiceURL;
    private String socketServiceName;
    private String socketServiceDescription;
    private int status;

    public SocketService()
    {
    }

    public String getSocketServiceURL()
    {
        return this.socketServiceURL;
    }

    public void setSocketServiceURL(String socketServiceURL)
    {
        this.socketServiceURL = socketServiceURL;
    }

    public String getSocketServiceName()
    {
        return socketServiceName;
    }

    public void setSocketServiceName(String socketServiceName)
    {
        this.socketServiceName = socketServiceName;
    }

    public String getSocketServiceDescription()
    {
        return socketServiceDescription;
    }

    public void setSocketServiceDescription(String socketServiceDescription)
    {
        this.socketServiceDescription = socketServiceDescription;
    }

    public int getStatus()
    {
        return status;
    }

    public void setStatus(int status)
    {
        this.status = status;
    }
}
